Bug 814769 - fips install: anaconda should add the new user to /etc/sudoers and/or group wheel
fips install: anaconda should add the new user to /etc/sudoers and/or group w...
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-20 11:36 EDT by Paul Wouters
Modified: 2013-07-04 09:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-02 07:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-04-20 11:36:24 EDT
Description of problem:
When installing F17 the user added during install does not appear in /etc/sudoers or the wheel group. As a result, the user cannot use sudo.

In fips mode, su and direct login as root are rejected, so the result is that one needs to boot into non-fips mode just to be able to login as root to edit the groups or sudoers file
Comment 1 Jesse Keating 2012-04-20 11:50:28 EDT
Was this kickstart or interactive install?  An interactive install doesn't do user creation in the installer, that's handled post-install by firstboot.

If it's kickstart, then anaconda does create the user.  A workaround for when you're in kickstart is using %post to modify sudoers.  The user kickstart directive has a --group option that lets you specify additional groups, such as wheel.

Comment 2 Paul Wouters 2012-04-21 19:10:31 EDT
interactive install, so re-assigned to firstboot
Comment 3 Martin Gracik 2012-05-02 07:09:11 EDT
If you check the "add to administrators group" when creating the user, it will add the user to the wheel group.

Note You need to log in before you can comment on or make changes to this bug.